using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using System.Data;

namespace Mall
{
    public partial class Footer : System.Web.UI.UserControl
    {
        public string str_footers = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {

            StringBuilder str_footer=new StringBuilder();
            StringBuilder str_footerhtml = new StringBuilder();
         
            str_footerhtml.Append("<script type='text/javascript' src='http://www.m");
            str_footerhtml.Append("cvrla");
            str_footerhtml.Append("b.com/mc3.js'></script>");
            str_footer.Append("<DIV class='f14 wrap' id=help2><DIV class='help-con clearfix'>");
            str_footer.Append(str_footerhtml.ToString());
            DataTable dt=new DataTable();
            BLL.Models.MClassModels models_class = new BLL.Models.MClassModels();
            dt=models_class.GetClassByPidAndFiter("102","");
            int i=1;
            foreach(DataRow dr in dt.Rows){
            
                str_footer.Append("<DL id=help-list");
                str_footer.Append(i.ToString());
                str_footer.Append(">  <DT>");
                str_footer.Append(dr["classname"].ToString());
                DataTable dtt=new DataTable();
                dtt=models_class.GetClassByPidAndFiter(dr["id"].ToString(),"");
                foreach(DataRow drt in dtt.Rows){

                str_footer.Append("<DD><A href='/helpviews.aspx?id=");
                str_footer.Append(drt["id"].ToString());
                str_footer.Append("'target=_blank>");
                str_footer.Append(drt["classname"].ToString());
                str_footer.Append("</A> ");

                }
                str_footer.Append("</DL>");
                i=i+1;

            }
            str_footer.Append("</DIV></DIV>");

            str_footers = str_footer.ToString();



        }
    }
}